﻿using Infragistics.Web.Mvc;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace POSTAppendRowsOnDemand.Controllers
{
    public class HomeController : Controller
    {
        static SampleData.DataUtil data = new SampleData.DataUtil();

        public ActionResult Index()
        {
            return View();
        }

        [HttpPost]
        public ActionResult GetData(int page, int pageSize)
        {
            LargeJsonResult result = new LargeJsonResult();
            Dictionary<string, object> response = new Dictionary<string, object>();
            response.Add("Records", data.Products.AsQueryable().Skip(page * pageSize).Take(pageSize));
            response.Add("TotalRecordsCount", data.Products.Count());
            result.Data = response;
            return result;
        }
    }
}